### Function

# AppStream utils_get_desktop_environment_name

since: 1.0.0

#### Declaration [src]

    const gchar*
    as_utils_get_desktop_environment_name (
      const gchar* de_id
    )

#### Description [src]

Get a human-readable, translated name of the desktop environment represented by the given ID.

Available since: 1.0.0

#### Parameters

`de_id`

  Type: `const gchar*`

  A desktop environment id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A localized name of the DE, or `NULL` if none available.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.